/*
 * This file was generated by the Gradle 'init' task.
 *
 * This generated file contains a sample Java application project to get you started.
 * For more details take a look at the 'Building Java & JVM projects' chapter in the Gradle
 * User Manual available at https://docs.gradle.org/6.7/userguide/building_java_projects.html
 */

plugins {
    // Apply the application plugin to add support for building a CLI application in Java.
    application
    // - добавлено на 38-м занятии
    war
}

repositories {
    // Use JCenter for resolving dependencies.
    jcenter()

}

dependencies {
    // Use JUnit Jupiter API for testing.
    testImplementation("org.junit.jupiter:junit-jupiter-api:5.6.2")

    // Use JUnit Jupiter Engine for testing.
    testRuntimeOnly("org.junit.jupiter:junit-jupiter-engine")

    // This dependency is used by the application.
    implementation("com.google.guava:guava:29.0-jre")
    implementation("org.springframework:spring-context:5.3.9")
    testImplementation("org.springframework:spring-test:5.3.9")
    implementation("org.apache.httpcomponents:httpclient:4.5.13")
    implementation("commons-io:commons-io:2.11.0")
    implementation("com.github.spullara.mustache.java:compiler:0.9.10")
    implementation("org.jsoup:jsoup:1.14.3")



    // - добавлено на 38-м занятии
    compileOnly("javax.servlet:javax.servlet-api:3.1.0")
    implementation("org.springframework:spring-webmvc:5.3.9")
    implementation("org.apache.tomcat.embed:tomcat-embed-core:9.0.41")
    implementation("com.samskivert:jmustache:1.15")
    implementation("com.github.mjeanroy:springmvc-mustache-jmustache:2.0.0")


    // https://mvnrepository.com/artifact/commons-fileupload/commons-fileupload
    implementation("commons-fileupload:commons-fileupload:1.4")

}

application {
    // Define the main class for the application.
    mainClass.set("ru.inordic.jart.l28.App")
}

tasks.test {
    // Use junit platform for unit tests.
    useJUnitPlatform()
}

